(function () {
	var input = $("#input-cmd");
	input.autocomplete({ source: clicommands });
	var execute_clicmd = function (cmd) {
		pbx_request('asterisk_cli', 'getcmdData', 'get', cmd, null, false);
	};
	input.keypress(function (e) {
		if (e.keyCode == 13) {
			$(this).trigger("enterKey");
			e.preventDefault();
			return false;
		}
	});

	input.bind("enterKey", function (e) {
		execute_clicmd($("#input-cmd").val());
	});

	$('#enter-cli').on("click", function (e) {
		execute_clicmd($("#input-cmd").val());
	});

	var options = {
		cursorcolor: "#16a085",
		cursorwidth: "5px",
		cursorborder: "1px solid #16a085",
		cursorborderradius: "0px",
		scrollspeed: 60,
		mousescrollstep: 40,
		boxzoom: false
	};
})();
