(function () {
	var dpma_alerts_form = $('#dpma_alerts_form');
	var use_default_ringtones = dpma_alerts_form.find('#use_default_ringtones');
	var dpma_ringtone_id_field = dpma_alerts_form.find('#dpma_ringtone_id');
	var digium_ringtone_field = dpma_alerts_form.find('#digium_ringtone');

	$('#dpma_alerts_form').validate(Validations);
	ringtones_interaction();

	use_default_ringtones.on('change', function() {
		ringtones_interaction();
	});

	function ringtones_interaction(){
		var state = use_default_ringtones.prop('checked');
		var data_group_1 = dpma_ringtone_id_field.attr('data-form-group');
		var data_group_2 = digium_ringtone_field.attr('data-form-group');
		if(state){
			dpma_alerts_form.find('.' + data_group_1).hide();
			dpma_alerts_form.find('.' + data_group_2).show();
		}else {
			dpma_alerts_form.find('.' + data_group_1).show();
			dpma_alerts_form.find('.' + data_group_2).hide();
		}
	}
})();
