(function () {
	var module = 'dpma_smart_blf';
	var pages = $('.pages');

	$('#dpma_smart_blf_form').validate(Validations);

	var description = $('#description');
	var phone_book = $('#dpma_phonebook_id');
	var model = $('#dpma_model_id');
	var pageItems = $('.page_items');
	var modelVal = model.val();

	toggleModelPages(modelVal);

	model.on('change', function () {
		modelVal = $(this).val();
		toggleModelPages(modelVal);
	});

	pagination(1);

	description.autocomplete({
		source : blfAutoComplete ,
		select : function (event, ui) {
			getEditBlfMode(ui.item.id);
		}
	});

	description.focusout(function () {
		var desc = $.trim($(this).val());
		if (desc.length !== 0) {
			if (typeof blfs[desc] !== 'undefined') {
				getEditBlfMode(extensions[exten]);
			}
		}
	});

	pageItems.on('click', function() {
		var dataPage = $(this).data('page');
		pagination(dataPage);
	});

	function getEditBlfMode(id) {
		pbx_request(module, 'getContent', 'edit', id);
	}

	function fillComboContacts(selected) {
		pbx_request(module, 'getPhoneBookContacts', null, selected, null, false);
	}

	function toggleModelPages(model) {
		if(model == 3) {
			$('.model_d40').show();
			$('.model_d70').hide();
		} else {
			$('.model_d40').hide();
			$('.model_d70').show();
		}
	}

	function pagination(page) {
		pages.hide();
		$('.pagination_items').removeClass('active');
		$('.pagination_item_' + page).addClass('active');
		$('.page_' + page).show();
	}
	$("#dpma_smart_blf_form #dpma_phonebook_id").change(function () {
		fillComboContacts(this.value);
	});
})();
