(function() {
	var applicationForm = $("#dpma_applications_form");
	var applicationRadio = applicationForm.find('#type label.btn-radio.active');
	var applicationsInput = $('#dpma_applications_form input[name=type]');
	applications();

	applicationForm.validate(Validations);

	Ombutel.on('click', applicationRadio, function () {
		applications(applicationForm.find('#type label.btn-radio.active').children("input[type=radio]").val());
	});

	function applications(app) {
		var radioapp = 'queues';

		if (app === undefined) {
			if ($('#dpma_applications_form input[name=type]').length) {
				radioapp = applicationsInput.val();
			}
			else {
				radioapp = applicationsInput.children("input[type=radio]:checked").val();
			}
		}
		else {
			radioapp = app;
		}

		switch (radioapp) {
			case 'queues':
				$(".status_app, .parking_app, .voicemail_app, .custom_app").each(function () {
					$(this).find('input, textarea').addClass('ignore');
					$(this).hide();
				});

				$('.queues_app').show();
				break;

			case 'status':
				$(".queues_app, .parking_app, .voicemail_app, .custom_app").each(function () {
					$(this).find('input, textarea').addClass('ignore');
					$(this).hide();
				});

				$('.status_app').show();
				break;

			case 'parking':
				$(".queues_app, .status_app, .voicemail_app, .custom_app").each(function () {
					$(this).find('input, textarea').addClass('ignore');
					$(this).hide();
				});

				$('.parking_app').show();
				break;

			case 'voicemail':
				$(".queues_app, .status_app, .parking_app, .custom_app").each(function () {
					$(this).find('input, textarea').addClass('ignore');
					$(this).hide();
				});

				$('.voicemail_app').show();
				break;

			case 'custom':
				$(".queues_app, .status_app, .parking_app, .voicemail_app").each(function () {
					$(this).find('input, textarea').addClass('ignore');
					$(this).hide();
				});

				$('.custom_app').show();
				break;
		}
	}
})();
